Skip to content

GET /api/v3/accounts/{lcuid}/key-value-store/{dataSourceId}/{key}

Summary

GET accounts/{id}/key-value-store/{dataSourceId}/{key}

Description

Return a key/value record, or 404 if missing.

Tags: accounts

Parameters

Header Parameters

Name Type Required Description Example
Authorization string ✓ Yes Bearer {AuthToken}
Content-Type string ✓ Yes application/json
Accept string ✓ Yes application/json
AppIdV3 string ✓ Yes LCUID-LAP-********-****-****-****-************

Responses

Response: 200

Description: Sample Response

Content Type: application/json

Schema

Type: object

Properties:

  • success (boolean)
  • key_value_store (object) Type: object

Properties:

  • parent_type (string)
  • object_type (string)
  • key_name (string)
  • key (string)
  • value (string)
  • created_at (string)
  • updated_at (string)
  • macro (string)
Example Response
{
    "success": true,
    "key_value_store": {
        "parent_type": "App\\Account",
        "object_type": "App\\Account",
        "key_name": "Friendly Name",
        "key": "test_key",
        "value": "updated",
        "created_at": "2026-10-09T15:53:25.000000Z",
        "updated_at": "2026-10-09T15:53:26.000000Z",
        "macro": "account.store.test_key"
    }
}

Example Implementations

Bash (cURL)

curl --request GET \
  --url "https://api.lucit.app/api/v3/accounts/{lcuid}/key-value-store/{dataSourceId}/{key}" \
  --header "Authorization: Bearer {AuthToken}" \
  --header "Content-Type: application/json" \
  --header "Accept: application/json" \
  --header "AppIdV3: LCUID-LAP-********-****-****-****-************"

JavaScript (Fetch API)

const url = "https://api.lucit.app/api/v3/accounts/{lcuid}/key-value-store/{dataSourceId}/{key}";

const headers = {
  "Authorization": "Bearer {AuthToken}",
  "Content-Type": "application/json",
  "Accept": "application/json",
  "AppIdV3": "LCUID-LAP-********-****-****-****-************"
};

fetch(url, {
  method: "GET",
  headers: headers
})
  .then(response => response.json())
  .then(data => console.log(data))
  .catch(error => console.error('Error:', error));

PHP (Guzzle)

<?php

require_once 'vendor/autoload.php';

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.lucit.app/api/v3/accounts/{lcuid}/key-value-store/{dataSourceId}/{key}', [
  'headers' => [
    'Authorization' => 'Bearer {AuthToken}',
    'Content-Type' => 'application/json',
    'Accept' => 'application/json',
    'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
  ]
]);

$body = $response->getBody();
$data = json_decode($body, true);
print_r($data);

Python (Requests)

import requests
import json

url = "https://api.lucit.app/api/v3/accounts/{lcuid}/key-value-store/{dataSourceId}/{key}"

headers = {
  "Authorization": "Bearer {AuthToken}",
  "Content-Type": "application/json",
  "Accept": "application/json",
  "AppIdV3": "LCUID-LAP-********-****-****-****-************"
}

response = requests.get(url, headers=headers)
print(response.json())

← Back to accounts index | Back to main index